Loading...
Searching...
No Matches
osmium::location_equal Struct Reference

`#include <node_ref.hpp>`

## Public Types

using | first_argument_type = NodeRef
using | second_argument_type = NodeRef
using | result_type = bool

## Public Member Functions

constexpr bool | operator() (const NodeRef &lhs, const NodeRef &rhs) const noexcept

## Detailed Description

Functor to compare NodeRefs by Location instead of ID.

## Member Typedef Documentation

## first_argument_type

using osmium::location_equal::first_argument_type = NodeRef

## result_type

using osmium::location_equal::result_type = bool

## second_argument_type

using osmium::location_equal::second_argument_type = NodeRef

## Member Function Documentation

## operator()()

bool osmium::location_equal::operator() | ( | const NodeRef & | lhs,
|  | const NodeRef & | rhs ) const

inlineconstexprnoexcept

The documentation for this struct was generated from the following file:

- include/osmium/osm/node_ref.hpp